//*****************************************************************************************
//    Module       : blinky.c
//    Description  : Blinky - Used to blink red and green LED connected to GPIO2,3 on apps boards
//		   : Ensure GPIO2, GPIO3 and GPIO5(beside the LIN jumper) jumpers are connected and 3V3_LED also.
//    Date         : 6 Mar 2015
//    Version      : v1.00
//    Changelog    : v1.00 Initial
//******************************************************************************************

// includes
#include <ADuCM331.h>
#include <absacc.h>

/*
#define IPAGE0CS0 (*((volatile unsigned long *) 0x07f8))
#define IPAGE0CS1 (*((volatile unsigned long *) 0x07fc))
IPAGE0CS0 = 0xffffffff;
IPAGE0CS1 = 0x16400000;
*/
int iCounter;

//Function prototypes
void GPIO_INIT(void);
void Delay_ms(int);
//=====================================================================
// 						main
//=====================================================================
int main (void)
{
 T3CON = 0;  								// Turn off watchdog
 GPIO_INIT();


  while(1)
 {
   GP0TGL = 0x08;
   Delay_ms(300);
   GP0TGL = 0x04;
   Delay_ms(300);
   iCounter++;
 }
}

//=====================================================================
// 						Initialise the GPIO port
//=====================================================================
void GPIO_INIT(void)
{
 GP0CON = 0x00;	   						// Enable as GPIOs
 GP0PUL = 0x33;							// Activate pull ups
 GP0OEN = 0x0C;							// Enable GPIOs as o/p's
}

//=====================================================================
// 						Simple Delay 
//=====================================================================
 void Delay_ms(int mSec)
{
  	int d1, d2;
  	d1 = mSec;
  	d2 = mSec;
  	for ( d1 = 0; d1 < mSec; d1++ )
  	{
    	for ( d2 = 0; d2 < 2340; d2++ )
    	{
    	}
  	}
}

//=====================================================================
// 						SYSTICK handler
//=====================================================================
void SysTick_Int_Handler(void)
{
}

//=====================================================================
// 						LINint0 Normal LIN Event handler
//=====================================================================
void LIN0_Int_Handler (void)
{
}

//=====================================================================
// 						LINint1 Error Event handler
//=====================================================================
void LIN1_Int_Handler (void)
{
}

//=====================================================================
// 						LINint2 Sleep / Wake Event handler
//=====================================================================
void LIN2_Int_Handler (void)
{
}

//=====================================================================
// 						WUP Timer Interrupt Handler
//=====================================================================
void WakeUp_Int_Handler(void)
{
}

//=====================================================================
// 						GP Timer Interrupt Handler
//=====================================================================
void GP_Tmr_Int_Handler(void)
{
}

//=====================================================================
// 						ADC Interrupt Handler
//=====================================================================
void ADC_Int_Handler(void)
{
}

//==========================================================================================
//				Hard Fault Handler, 2bit or >2bit ECC error interrupt
//==========================================================================================
void Hard_Fault_Exception(void)
{
}

